Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class BasePropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.BasePropertyTag

Direct Known Subclasses:
  GetPropertyTag, SetPropertyTag

public class BasePropertyTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `namespace`
`protected PipelineSession` | `pipelineSession`
`protected java.lang.String` | `property`
`protected java.lang.String` | `scope`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`BasePropertyTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getCurrentNamespace()`
`java.lang.String` | `getNamespace()`
`PipelineSession` | `getPipelineSession()` Get the Cached PipelineSession.
`java.lang.String` | `getProperty()`
`java.lang.Object` | `getRequestContext()`
`java.lang.String` | `getScope()`
`void` | `initialize()` Get the current piplineSession.
`void` | `release()` Release this tag.
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setProperty(java.lang.String property)`
`void` | `setScope(java.lang.String scope)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pipelineSession

    protected PipelineSession pipelineSession

### property

    protected java.lang.String property

### scope

    protected java.lang.String scope

### namespace

    protected java.lang.String namespace

Constructor Detail

### BasePropertyTag

    public BasePropertyTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Release this tag.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### getPipelineSession

    public PipelineSession getPipelineSession()

  Get the Cached PipelineSession. It is initialized using the initialize method which is invoked in the doStartTag()

### initialize

    public void initialize()

  Get the current piplineSession.

### getCurrentNamespace

    public java.lang.String getCurrentNamespace()

### getRequestContext

    public java.lang.Object getRequestContext()
                                       throws javax.servlet.jsp.JspException

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### getProperty

    public java.lang.String getProperty()

### setProperty

    public void setProperty(java.lang.String property)

### getNamespace

    public java.lang.String getNamespace()

### setNamespace

    public void setNamespace(java.lang.String namespace)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved